'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _searchtabular = require('searchtabular');

var search = _interopRequireWildcard(_searchtabular);

var _PerPage = require('./PerPage');

var _PerPage2 = _interopRequireDefault(_PerPage);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var PrimaryControls = function PrimaryControls(_ref) {
  var perPage = _ref.perPage,
      columns = _ref.columns,
      rows = _ref.rows,
      column = _ref.column,
      query = _ref.query,
      onPerPage = _ref.onPerPage,
      onSearch = _ref.onSearch,
      onColumnChange = _ref.onColumnChange,
      props = _objectWithoutProperties(_ref, ['perPage', 'columns', 'rows', 'column', 'query', 'onPerPage', 'onSearch', 'onColumnChange']);

  return _react2.default.createElement(
    'div',
    props,
    _react2.default.createElement(
      'div',
      { className: 'per-page-container' },
      _react2.default.createElement(_PerPage2.default, { value: perPage, onChange: onPerPage })
    ),
    _react2.default.createElement(
      'div',
      { className: 'search-container' },
      _react2.default.createElement(
        'span',
        null,
        'Search'
      ),
      _react2.default.createElement(search.Field, {
        column: column,
        query: query,
        columns: columns,
        rows: rows,
        onChange: onSearch,
        onColumnChange: onColumnChange
      })
    )
  );
};
PrimaryControls.propTypes = process.env.NODE_ENV !== "production" ? {
  perPage: _propTypes2.default.number,
  columns: _propTypes2.default.array,
  rows: _propTypes2.default.array,
  column: _propTypes2.default.string,
  query: _propTypes2.default.object,
  onPerPage: _propTypes2.default.func,
  onSearch: _propTypes2.default.func,
  onColumnChange: _propTypes2.default.func
} : {};

exports.default = PrimaryControls;