'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function generateParents(rows) {
  var idField = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'id';

  var previousParent = void 0;

  return rows.map(function (d) {
    var ret = _extends({}, d, {
      parent: previousParent
    });

    // Generate child instead of a sibling
    if (previousParent && Math.random() > 0.8) {
      // Do nothing
    } else if (Math.random() > 0.8) {
      // Back to root
      previousParent = null;
    } else {
      previousParent = d[idField];
    }

    return ret;
  });
}

exports.default = generateParents;