'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _range2 = require('lodash/range');

var _range3 = _interopRequireDefault(_range2);

var _sample2 = require('lodash/sample');

var _sample3 = _interopRequireDefault(_sample2);

var _uuid = require('uuid');

var _uuid2 = _interopRequireDefault(_uuid);

var _schema2object = require('schema2object');

var _schema2object2 = _interopRequireDefault(_schema2object);

var _annogenerate = require('annogenerate');

var _annogenerate2 = _interopRequireDefault(_annogenerate);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var generate = _schema2object2.default.properties2object;

var adjectives = ['Super', 'Hyper', 'Awesome', 'Lame', 'Standard'];
var forenames = ['Jack', 'Bo', 'John', 'Jill', 'Angus', 'Janet', 'Cecilia', 'Daniel', 'Marge', 'Homer', 'Trevor', 'Fiona', 'Margaret', 'Ofelia', 'Mike', 'Don', 'Dirk', 'Greg', 'Arthur', 'Ike', 'Robert', 'Ulrich'];
var surnames = ['MacGyver', 'Johnson', 'Jackson', 'Robertson', 'Hull', 'Hill', 'Simpson', 'Ikesen', 'Cruise', 'Schwarz', 'Xu', 'Li', 'Lee', 'White', 'Brown'];

var generateRows = function generateRows(amount, _ref) {
  var definitions = _ref.definitions,
      properties = _ref.properties;
  return (0, _range3.default)(amount).map(function () {
    return generate({
      generators: _annogenerate2.default,
      fieldGenerators: {
        id: function id() {
          return _uuid2.default.v4();
        },
        Id: function Id() {
          return _uuid2.default.v4();
        },
        boss: function boss() {
          return {
            name: this.name()
          };
        },
        name: function name() {
          return (0, _sample3.default)(forenames) + ' ' + (0, _sample3.default)(surnames);
        },
        fullName: function fullName() {
          return {
            first: (0, _sample3.default)(forenames), last: (0, _sample3.default)(surnames)
          };
        },
        company: function company() {
          var first = ['App', 'No', 'Micro', 'Ora', 'Sun', 'Soft', 'Accen', 'Syman'];
          var second = ['le', 'kia', 'soft', 'cle', 'ice', 'ify', 'ture', 'tec', 'ware', ' Solutions'];
          var third = ['Ltd.', 'Inc.'];

          return '' + (0, _sample3.default)(first) + (0, _sample3.default)(second) + ' ' + (0, _sample3.default)(third);
        },
        product: function product() {
          var names = ['Apple', 'Pear', 'Strawberry', 'Pineapple', 'Potato', 'Tomato'];

          return (0, _sample3.default)(adjectives) + ' ' + (0, _sample3.default)(names);
        },
        position: function position() {
          return (0, _sample3.default)(['Boss', 'Contractor', 'Client', '']);
        },
        address: function address() {
          var suffixes = ['street', 'road', ' Road', ' Street', 'ton', ' Village', ''];
          var number = _annogenerate2.default.number(1, 2000);

          return '' + (0, _sample3.default)(adjectives) + (0, _sample3.default)(suffixes) + ' ' + number;
        },

        price: _annogenerate2.default.number.bind(null, 0, 200),
        stock: _annogenerate2.default.number.bind(null, 0, 2000),
        salary: _annogenerate2.default.number.bind(null, 0, 10000),
        age: _annogenerate2.default.number.bind(null, 1, 100),
        active: function active() {
          return (0, _sample3.default)([true, false]);
        }
      },
      properties: properties,
      definitions: definitions
    });
  });
};

exports.default = generateRows;